std::forward_list::~forward_list(3)

NAME
std::forward_list::~forward_list - std::forward_list::~forward_list

Synopsis
   ~forward_list(); (since C++11)
   Destructs the forward_list. The destructors of the elements are called and the used
   storage is deallocated. Note, that if the elements are pointers, the pointed-to
   objects are not destroyed.

Complexity
   Linear in the size of the forward_list.